Buf(1)

NAME
buf-config-init - Initialize buf configuration files for your local development

SYNOPSIS
buf config init [buf.build/owner/foobar] [flags]

DESCRIPTION
This command will write a new buf.yaml file to start your local development.

If a buf.yaml already exists, this command will not overwrite it, and will produce an error.

The effects of this command may change over time - this command may initialize i.e. buf.gen.yaml files in the future.

OPTIONS
-h, --help[=false]
    help for init

-o, --output="."
    The directory to write the configuration files to

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=0s
    The duration until timing out, setting it to 0 means no timeout

SEE ALSO
buf-config(1)

HISTORY
2026-04-22 Auto generated by spf13/cobra